Skip to main content
`Ctrl`+`K`

# PetscMallocViewGet

Determine whether calls to `PetscMalloc()` are being logged

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocViewGet(PetscBool *logging)

Not Collective

## Output Parameter

- logging - `PETSC_TRUE` if logging is active

## Options Database Key

- -malloc_view <optional filename> - Activates `PetscMallocView()`

## See Also

`PetscMallocViewSet()`, `PetscMallocDump()`, `PetscMallocView()`, `PetscMallocTraceGet()`, `PetscMalloc()`, `PetscFree()`

## Level

advanced

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages